Subject: Re: Perl 5.7.2
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Wed, 10 Oct 2001 17:33:12 +0200

> John Peacock schrieb am 2001-10-10 9:44:

>"Gerrit P. Haase" wrote:
>> 
>> 
>> Can you figure out when the stackdumps occur the first time?
>> 
>> I found this in the changes of July:
>
>[snip]
>
>> ____________________________________________________________________________ [
>> 11188] By: jhi                                   on 2001/07/07  15:12:36
>>         Log: Subject: Re: bleedperl perl_alloc..free leakage
>>              From: Radu Greab <[email-masked]>
>>              Date: Fri, 6 Jul 2001 19:48:54 +0300
>>              Message-ID: <[email-masked]>
>> 
>>              Leak-be-gone.
>>      Branch: perl
>>            ! op.c
>
>[snip]
>
>> 
>> But they seem to be very 'old'.
>> 
>
>Yes, I could have sworn I was getting clean tests in August, but I could
>be mistaken.  The ithreads stuff is besides the point; I am not 
>building with threads (and it is not the defalt in hints/linux.sh.
>11108 looks promising, however.  I will pull down that patch and see

You mean the quoted above (11188)?

>if I can reverse it out.

Will not be that difficult to reverse it, but I think it 
is the wrong target after seeing it:
Change 11188 by jhi@alpha on 2001/07/07 15:12:36

	Subject: Re: bleedperl perl_alloc..free leakage
	From: Radu Greab <[email-masked]>
	Date: Fri, 6 Jul 2001 19:48:54 +0300
	Message-ID: <[email-masked]>
	
	Leak-be-gone.

Affected files ...

... //depot/perl/op.c#406 edit

Differences ...

==== //depot/perl/op.c#406 (text) ====
Index: perl/op.c
--- perl/op.c.~1~	Sat Jul  7 09:17:07 2001
+++ perl/op.c	Sat Jul  7 09:17:07 2001
@@ -842,12 +842,12 @@
 		    lastpmop = pmop;
 		    pmop = pmop->op_pmnext;
 		}
+	    }
 #ifdef USE_ITHREADS
-		Safefree(PmopSTASHPV(cPMOPo));
+	    Safefree(PmopSTASHPV(cPMOPo));
 #else
-		/* NOTE: PMOP.op_pmstash is not refcounted */
+	    /* NOTE: PMOP.op_pmstash is not refcounted */
 #endif
-	    }
 	}
 	cPMOPo->op_pmreplroot = Nullop;
 	ReREFCNT_dec(PM_GETRE(cPMOPo));
End of Patch.

However, I tried to build snapshot 11181 with following result:

$ make 2>&1 | tee log.make
GNUmakefile:262: warning: overriding commands for target `perlmain.o'
GNUmakefile:204: warning: ignoring old commands for target `perlmain.o'
perl embed.pl
`sh  cflags libperl5_7_1 miniperlmain.o`  miniperlmain.c
          CCCMD =  gcc -DPERL_CORE -c -DPERL_USE_SAFE_PUTENV -Wall -DDEBUGGING -fno-strict-aliasing -I/usr/local/include -g 
`sh  cflags libperl5_7_1 perl.o`  perl.c
          CCCMD =  gcc -DPERL_CORE -c -DPERL_USE_SAFE_PUTENV -Wall -DDEBUGGING -fno-strict-aliasing -I/usr/local/include -g 
perl.c: In function `S_parse_body':
perl.c:1353: warning: implicit declaration of function `init_os_extras'
`sh  cflags libperl5_7_1 malloc.o`  malloc.c
          CCCMD =  gcc -DPERL_CORE -c -DPERL_USE_SAFE_PUTENV -Wall -DDEBUGGING -fno-strict-aliasing -I/usr/local/include -g 
malloc.c: In function `botch':
malloc.c:999: warning: unused variable `my_perl'
malloc.c: In function `Perl_malloc':
malloc.c:1111: warning: unused variable `my_perl'
malloc.c:1117: warning: unused variable `my_perl'
malloc.c: In function `Perl_mfree':
malloc.c:1584: warning: unused variable `my_perl'
malloc.c: In function `Perl_realloc':
malloc.c:1684: warning: unused variable `my_perl'
`sh  cflags libperl5_7_1 gv.o`  gv.c
          CCCMD =  gcc -DPERL_CORE -c -DPERL_USE_SAFE_PUTENV -Wall -DDEBUGGING -fno-strict-aliasing -I/usr/local/include -g 
`sh  cflags libperl5_7_1 toke.o`  toke.c
          CCCMD =  gcc -DPERL_CORE -c -DPERL_USE_SAFE_PUTENV -Wall -DDEBUGGING -fno-strict-aliasing -I/usr/local/include -g 
`sh  cflags libperl5_7_1 perly.o`  perly.c
          CCCMD =  gcc -DPERL_CORE -c -DPERL_USE_SAFE_PUTENV -Wall -DDEBUGGING -fno-strict-aliasing -I/usr/local/include -g 
`sh  cflags libperl5_7_1 op.o`  op.c
          CCCMD =  gcc -DPERL_CORE -c -DPERL_USE_SAFE_PUTENV -Wall -DDEBUGGING -fno-strict-aliasing -I/usr/local/include -g 
op.c: In function `Perl_ck_octmode':
op.c:6124: `WARN_OCTMODE' undeclared (first use in this function)
op.c:6124: (Each undeclared identifier is reported only once
op.c:6124: for each function it appears in.)
op.c:6130: `WARN_MKDIR' undeclared (first use in this function)
make: *** [op.o] Error 1

Gerrit

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/